Bug 862216 - Review Request: libdivecomputer - Library for communication with dive computers
Review Request: libdivecomputer - Library for communication with dive computers
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-02 06:21 EDT by Pierre-YvesChibon
Modified: 2012-12-20 09:59 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 09:59:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Pierre-YvesChibon 2012-10-02 06:21:47 EDT
Spec URL: http://pingou.fedorapeople.org/RPMs//libdivecomputer.spec
SRPM URL: http://pingou.fedorapeople.org/RPMs//libdivecomputer-0.2.0-1.fc17.src.rpm

Description:
Libdivecomputer is a cross-platform and open source library for
communication with dive computers from various manufacturers.

Supported devices:

    Suunto
        Solution
        Eon, Solution Alpha and Solution Nitrox/Vario
        Vyper, Cobra, Vytec, Vytec DS, D3, Spyder, Gekko, Mosquito,
        Stinger and Zoop
        Vyper2, Cobra2, Cobra3, Vyper Air and HelO2
        D9, D6, D4, D9tx, D6i and D4i
    Uwatec
        Aladin
        Memomouse
        Smart and Galileo (infrared)
    Reefnet
        Sensus
        Sensus Pro
        Sensus Ultra
    Oceanic, Aeris, Sherwood, Hollis, Genesis and Tusa (Pelagic)
        VT Pro, Versa Pro, Pro Plus 2, Wisdom, Atmos 2, Atmos AI,
        Atmos Elite, ...
        Veo 250, Veo 180Nx, XR2, React Pro, DG02, Insight, ...
        Atom 2.0, VT3, Datamask, Geo, Geo 2.0, Veo 2.0, Veo 3.0, Pro
        Plus 2.1, Compumask, Elite T3, Epic, Manta, IQ-900 (Zen),
        IQ-950 (Zen Air), IQ-750 (Element II), ...
    Mares
        Nemo, Nemo Excel, Nemo Apneist, ...
        Puck, Puck Air, Nemo Air, Nemo Wide, ...
        Darwin, Darwin Air, M1, M2, Airlab
        Icon HD, Icon HD Net Ready
    Heinrichs Weikamp
        OSTC, OSTC Mk.2 and OSTC 2N
        Frog
    Cressi, Zeagle and Mares (Seiko)
        Edy, Nemo Sport
        N2iTiON3
    Atomic Aquatics
        Cobalt

Note: Backends marked with an asterisk (*) are not yet included in the
source code.
Comment 1 Pierre-YvesChibon 2012-10-02 06:21:56 EDT
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=4549916
Comment 2 Mario Blättermann 2012-10-05 17:34:44 EDT
$ rpmlint -i -v *
libdivecomputer.src: I: checking
libdivecomputer.src: W: spelling-error %description -l en_US Suunto -> Surmount
The value of this tag appears to be misspelled. Please double-check.

libdivecomputer.src: W: spelling-error %description -l en_US Veo -> Leo, Geo, Veto
The value of this tag appears to be misspelled. Please double-check.

libdivecomputer.src: W: spelling-error %description -l en_US Backends -> Back ends, Back-ends, Backhands
The value of this tag appears to be misspelled. Please double-check.

libdivecomputer.src: I: checking-url http://divesoftware.org/libdc/ (timeout 10 seconds)
libdivecomputer.src:1: W: macro-in-comment %global
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

libdivecomputer.src:2: W: macro-in-comment %global
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

libdivecomputer.src:3: W: macro-in-comment %global
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

libdivecomputer.src:3: W: macro-in-comment %{snapdate}
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

libdivecomputer.src:3: W: macro-in-comment %{snaphash}
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

libdivecomputer.src:7: W: macro-in-comment %{snapver}
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

libdivecomputer.src:92: W: macro-in-comment %setup
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

libdivecomputer.src:92: W: macro-in-comment %{name}
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

libdivecomputer.src:92: W: macro-in-comment %{snaphash}
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

libdivecomputer.src: I: checking-url http://divesoftware.org/libdc/releases/libdivecomputer-0.2.0.tar.gz (timeout 10 seconds)
libdivecomputer.i686: I: checking
libdivecomputer.i686: E: explicit-lib-dependency libusb1
You must let rpm find the library dependencies by itself. Do not put unneeded
explicit Requires: tags.

libdivecomputer.i686: W: spelling-error %description -l en_US Suunto -> Surmount
The value of this tag appears to be misspelled. Please double-check.

libdivecomputer.i686: W: spelling-error %description -l en_US Veo -> Leo, Geo, Veto
The value of this tag appears to be misspelled. Please double-check.

libdivecomputer.i686: W: spelling-error %description -l en_US Backends -> Back ends, Back-ends, Backhands
The value of this tag appears to be misspelled. Please double-check.

libdivecomputer.i686: I: checking-url http://divesoftware.org/libdc/ (timeout 10 seconds)
libdivecomputer.i686: W: no-manual-page-for-binary iconhd
Each executable in standard binary directories should have a man page.

libdivecomputer.i686: W: no-manual-page-for-binary memomouse
Each executable in standard binary directories should have a man page.

libdivecomputer.i686: W: no-manual-page-for-binary puck
Each executable in standard binary directories should have a man page.

libdivecomputer.i686: W: no-manual-page-for-binary atom2
Each executable in standard binary directories should have a man page.

libdivecomputer.i686: W: no-manual-page-for-binary solution
Each executable in standard binary directories should have a man page.

libdivecomputer.i686: W: no-manual-page-for-binary vyper2
Each executable in standard binary directories should have a man page.

libdivecomputer.i686: W: no-manual-page-for-binary n2ition3
Each executable in standard binary directories should have a man page.

libdivecomputer.i686: W: no-manual-page-for-binary d9
Each executable in standard binary directories should have a man page.

libdivecomputer.i686: W: no-manual-page-for-binary edy
Each executable in standard binary directories should have a man page.

libdivecomputer.i686: W: no-manual-page-for-binary frog
Each executable in standard binary directories should have a man page.

libdivecomputer.i686: W: no-manual-page-for-binary sensusultra
Each executable in standard binary directories should have a man page.

libdivecomputer.i686: W: no-manual-page-for-binary darwin
Each executable in standard binary directories should have a man page.

libdivecomputer.i686: W: no-manual-page-for-binary universal
Each executable in standard binary directories should have a man page.

libdivecomputer.i686: W: no-manual-page-for-binary smart
Each executable in standard binary directories should have a man page.

libdivecomputer.i686: W: no-manual-page-for-binary nemo
Each executable in standard binary directories should have a man page.

libdivecomputer.i686: W: no-manual-page-for-binary vtpro
Each executable in standard binary directories should have a man page.

libdivecomputer.i686: W: no-manual-page-for-binary ostc
Each executable in standard binary directories should have a man page.

libdivecomputer.i686: W: no-manual-page-for-binary aladin
Each executable in standard binary directories should have a man page.

libdivecomputer.i686: W: no-manual-page-for-binary veo250
Each executable in standard binary directories should have a man page.

libdivecomputer.i686: W: no-manual-page-for-binary sensuspro
Each executable in standard binary directories should have a man page.

libdivecomputer.i686: W: no-manual-page-for-binary vyper
Each executable in standard binary directories should have a man page.

libdivecomputer.i686: W: no-manual-page-for-binary eon
Each executable in standard binary directories should have a man page.

libdivecomputer.i686: W: no-manual-page-for-binary sensus
Each executable in standard binary directories should have a man page.

libdivecomputer.x86_64: I: checking
libdivecomputer.x86_64: E: explicit-lib-dependency libusb1
You must let rpm find the library dependencies by itself. Do not put unneeded
explicit Requires: tags.

libdivecomputer.x86_64: W: spelling-error %description -l en_US Suunto -> Surmount
The value of this tag appears to be misspelled. Please double-check.

libdivecomputer.x86_64: W: spelling-error %description -l en_US Veo -> Leo, Geo, Veto
The value of this tag appears to be misspelled. Please double-check.

libdivecomputer.x86_64: W: spelling-error %description -l en_US Backends -> Back ends, Back-ends, Backhands
The value of this tag appears to be misspelled. Please double-check.

libdivecomputer.x86_64: I: checking-url http://divesoftware.org/libdc/ (timeout 10 seconds)
libdivecomputer.x86_64: W: no-manual-page-for-binary iconhd
Each executable in standard binary directories should have a man page.

libdivecomputer.x86_64: W: no-manual-page-for-binary memomouse
Each executable in standard binary directories should have a man page.

libdivecomputer.x86_64: W: no-manual-page-for-binary puck
Each executable in standard binary directories should have a man page.

libdivecomputer.x86_64: W: no-manual-page-for-binary atom2
Each executable in standard binary directories should have a man page.

libdivecomputer.x86_64: W: no-manual-page-for-binary solution
Each executable in standard binary directories should have a man page.

libdivecomputer.x86_64: W: no-manual-page-for-binary vyper2
Each executable in standard binary directories should have a man page.

libdivecomputer.x86_64: W: no-manual-page-for-binary n2ition3
Each executable in standard binary directories should have a man page.

libdivecomputer.x86_64: W: no-manual-page-for-binary d9
Each executable in standard binary directories should have a man page.

libdivecomputer.x86_64: W: no-manual-page-for-binary edy
Each executable in standard binary directories should have a man page.

libdivecomputer.x86_64: W: no-manual-page-for-binary frog
Each executable in standard binary directories should have a man page.

libdivecomputer.x86_64: W: no-manual-page-for-binary sensusultra
Each executable in standard binary directories should have a man page.

libdivecomputer.x86_64: W: no-manual-page-for-binary darwin
Each executable in standard binary directories should have a man page.

libdivecomputer.x86_64: W: no-manual-page-for-binary universal
Each executable in standard binary directories should have a man page.

libdivecomputer.x86_64: W: no-manual-page-for-binary smart
Each executable in standard binary directories should have a man page.

libdivecomputer.x86_64: W: no-manual-page-for-binary nemo
Each executable in standard binary directories should have a man page.

libdivecomputer.x86_64: W: no-manual-page-for-binary vtpro
Each executable in standard binary directories should have a man page.

libdivecomputer.x86_64: W: no-manual-page-for-binary ostc
Each executable in standard binary directories should have a man page.

libdivecomputer.x86_64: W: no-manual-page-for-binary aladin
Each executable in standard binary directories should have a man page.

libdivecomputer.x86_64: W: no-manual-page-for-binary veo250
Each executable in standard binary directories should have a man page.

libdivecomputer.x86_64: W: no-manual-page-for-binary sensuspro
Each executable in standard binary directories should have a man page.

libdivecomputer.x86_64: W: no-manual-page-for-binary vyper
Each executable in standard binary directories should have a man page.

libdivecomputer.x86_64: W: no-manual-page-for-binary eon
Each executable in standard binary directories should have a man page.

libdivecomputer.x86_64: W: no-manual-page-for-binary sensus
Each executable in standard binary directories should have a man page.

(none): E: no installed packages by name libdivecomputer-0.2.0.tar.gz
libdivecomputer-debuginfo.i686: I: checking
libdivecomputer-debuginfo.i686: I: checking-url http://divesoftware.org/libdc/ (timeout 10 seconds)
libdivecomputer-debuginfo.x86_64: I: checking
libdivecomputer-debuginfo.x86_64: I: checking-url http://divesoftware.org/libdc/ (timeout 10 seconds)
libdivecomputer-devel.i686: I: checking
libdivecomputer-devel.i686: I: checking-url http://divesoftware.org/libdc/ (timeout 10 seconds)
libdivecomputer-devel.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

libdivecomputer-devel.x86_64: I: checking
libdivecomputer-devel.x86_64: I: checking-url http://divesoftware.org/libdc/ (timeout 10 seconds)
libdivecomputer-devel.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

libdivecomputer.spec:1: W: macro-in-comment %global
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

libdivecomputer.spec:2: W: macro-in-comment %global
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

libdivecomputer.spec:3: W: macro-in-comment %global
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

libdivecomputer.spec:3: W: macro-in-comment %{snapdate}
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

libdivecomputer.spec:3: W: macro-in-comment %{snaphash}
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

libdivecomputer.spec:7: W: macro-in-comment %{snapver}
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

libdivecomputer.spec:92: W: macro-in-comment %setup
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

libdivecomputer.spec:92: W: macro-in-comment %{name}
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

libdivecomputer.spec:92: W: macro-in-comment %{snaphash}
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

libdivecomputer.spec: I: checking-url http://divesoftware.org/libdc/releases/libdivecomputer-0.2.0.tar.gz (timeout 10 seconds)
libdivecomputer-static.i686: I: checking
libdivecomputer-static.i686: I: checking-url http://divesoftware.org/libdc/ (timeout 10 seconds)
libdivecomputer-static.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

libdivecomputer-static.x86_64: I: checking
libdivecomputer-static.x86_64: I: checking-url http://divesoftware.org/libdc/ (timeout 10 seconds)
libdivecomputer-static.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

9 packages and 1 specfiles checked; 2 errors, 77 warnings.


As far as I can see, we have a lot of ignorable warnings, such as macro-in-comment or no-manpage, nothing worth to think about.


Some issues:

The initial cleaning of buildroot in %install is no longer needed. Please remove.

If your package needs libusb1-devel in BuildRequires (and needs that header stuff actually), so to have libusb1 in Requires is not needed. Should be added automatically while building the package.

The "later version" clause is included in the source file headers, that's why the license is LGPLv2+
Comment 3 Pierre-YvesChibon 2012-10-09 04:09:23 EDT
Update:

Spec URL: http://pingou.fedorapeople.org/RPMs//libdivecomputer.spec
SRPM URL: http://pingou.fedorapeople.org/RPMs//libdivecomputer-0.2.0-2.fc17.src.rpm

* Tue Oct 02 2012 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.2.0-2
- Update License field from LGPLv2 to LGPLv2+
- Remove explicit Require to libusb1
- Remove the rm -rf RPM_BUILD_ROOT at the top of the install section
  (not needed anymore by modern rpm)
- Remove the macros in comments
Comment 4 Mario Blättermann 2012-10-09 14:32:08 EDT
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4575018

$ rpmlint -i -v *
libdivecomputer.src: I: checking
libdivecomputer.src: W: spelling-error %description -l en_US Suunto -> Surmount
The value of this tag appears to be misspelled. Please double-check.

libdivecomputer.src: W: spelling-error %description -l en_US Veo -> Leo, Geo, Veto
The value of this tag appears to be misspelled. Please double-check.

libdivecomputer.src: W: spelling-error %description -l en_US Backends -> Back ends, Back-ends, Backhands
The value of this tag appears to be misspelled. Please double-check.

libdivecomputer.src: I: checking-url http://divesoftware.org/libdc/ (timeout 10 seconds)
libdivecomputer.src: I: checking-url http://divesoftware.org/libdc/releases/libdivecomputer-0.2.0.tar.gz (timeout 10 seconds)
libdivecomputer.i686: I: checking
libdivecomputer.i686: W: spelling-error %description -l en_US Suunto -> Surmount
The value of this tag appears to be misspelled. Please double-check.

libdivecomputer.i686: W: spelling-error %description -l en_US Veo -> Leo, Geo, Veto
The value of this tag appears to be misspelled. Please double-check.

libdivecomputer.i686: W: spelling-error %description -l en_US Backends -> Back ends, Back-ends, Backhands
The value of this tag appears to be misspelled. Please double-check.

libdivecomputer.i686: I: checking-url http://divesoftware.org/libdc/ (timeout 10 seconds)
libdivecomputer.i686: W: no-manual-page-for-binary iconhd
Each executable in standard binary directories should have a man page.

libdivecomputer.i686: W: no-manual-page-for-binary memomouse
Each executable in standard binary directories should have a man page.

libdivecomputer.i686: W: no-manual-page-for-binary puck
Each executable in standard binary directories should have a man page.

libdivecomputer.i686: W: no-manual-page-for-binary atom2
Each executable in standard binary directories should have a man page.

libdivecomputer.i686: W: no-manual-page-for-binary solution
Each executable in standard binary directories should have a man page.

libdivecomputer.i686: W: no-manual-page-for-binary vyper2
Each executable in standard binary directories should have a man page.

libdivecomputer.i686: W: no-manual-page-for-binary n2ition3
Each executable in standard binary directories should have a man page.

libdivecomputer.i686: W: no-manual-page-for-binary d9
Each executable in standard binary directories should have a man page.

libdivecomputer.i686: W: no-manual-page-for-binary edy
Each executable in standard binary directories should have a man page.

libdivecomputer.i686: W: no-manual-page-for-binary frog
Each executable in standard binary directories should have a man page.

libdivecomputer.i686: W: no-manual-page-for-binary sensusultra
Each executable in standard binary directories should have a man page.

libdivecomputer.i686: W: no-manual-page-for-binary darwin
Each executable in standard binary directories should have a man page.

libdivecomputer.i686: W: no-manual-page-for-binary universal
Each executable in standard binary directories should have a man page.

libdivecomputer.i686: W: no-manual-page-for-binary smart
Each executable in standard binary directories should have a man page.

libdivecomputer.i686: W: no-manual-page-for-binary nemo
Each executable in standard binary directories should have a man page.

libdivecomputer.i686: W: no-manual-page-for-binary vtpro
Each executable in standard binary directories should have a man page.

libdivecomputer.i686: W: no-manual-page-for-binary ostc
Each executable in standard binary directories should have a man page.

libdivecomputer.i686: W: no-manual-page-for-binary aladin
Each executable in standard binary directories should have a man page.

libdivecomputer.i686: W: no-manual-page-for-binary veo250
Each executable in standard binary directories should have a man page.

libdivecomputer.i686: W: no-manual-page-for-binary sensuspro
Each executable in standard binary directories should have a man page.

libdivecomputer.i686: W: no-manual-page-for-binary vyper
Each executable in standard binary directories should have a man page.

libdivecomputer.i686: W: no-manual-page-for-binary eon
Each executable in standard binary directories should have a man page.

libdivecomputer.i686: W: no-manual-page-for-binary sensus
Each executable in standard binary directories should have a man page.

libdivecomputer.x86_64: I: checking
libdivecomputer.x86_64: W: spelling-error %description -l en_US Suunto -> Surmount
The value of this tag appears to be misspelled. Please double-check.

libdivecomputer.x86_64: W: spelling-error %description -l en_US Veo -> Leo, Geo, Veto
The value of this tag appears to be misspelled. Please double-check.

libdivecomputer.x86_64: W: spelling-error %description -l en_US Backends -> Back ends, Back-ends, Backhands
The value of this tag appears to be misspelled. Please double-check.

libdivecomputer.x86_64: I: checking-url http://divesoftware.org/libdc/ (timeout 10 seconds)
libdivecomputer.x86_64: W: no-manual-page-for-binary iconhd
Each executable in standard binary directories should have a man page.

libdivecomputer.x86_64: W: no-manual-page-for-binary memomouse
Each executable in standard binary directories should have a man page.

libdivecomputer.x86_64: W: no-manual-page-for-binary puck
Each executable in standard binary directories should have a man page.

libdivecomputer.x86_64: W: no-manual-page-for-binary atom2
Each executable in standard binary directories should have a man page.

libdivecomputer.x86_64: W: no-manual-page-for-binary solution
Each executable in standard binary directories should have a man page.

libdivecomputer.x86_64: W: no-manual-page-for-binary vyper2
Each executable in standard binary directories should have a man page.

libdivecomputer.x86_64: W: no-manual-page-for-binary n2ition3
Each executable in standard binary directories should have a man page.

libdivecomputer.x86_64: W: no-manual-page-for-binary d9
Each executable in standard binary directories should have a man page.

libdivecomputer.x86_64: W: no-manual-page-for-binary edy
Each executable in standard binary directories should have a man page.

libdivecomputer.x86_64: W: no-manual-page-for-binary frog
Each executable in standard binary directories should have a man page.

libdivecomputer.x86_64: W: no-manual-page-for-binary sensusultra
Each executable in standard binary directories should have a man page.

libdivecomputer.x86_64: W: no-manual-page-for-binary darwin
Each executable in standard binary directories should have a man page.

libdivecomputer.x86_64: W: no-manual-page-for-binary universal
Each executable in standard binary directories should have a man page.

libdivecomputer.x86_64: W: no-manual-page-for-binary smart
Each executable in standard binary directories should have a man page.

libdivecomputer.x86_64: W: no-manual-page-for-binary nemo
Each executable in standard binary directories should have a man page.

libdivecomputer.x86_64: W: no-manual-page-for-binary vtpro
Each executable in standard binary directories should have a man page.

libdivecomputer.x86_64: W: no-manual-page-for-binary ostc
Each executable in standard binary directories should have a man page.

libdivecomputer.x86_64: W: no-manual-page-for-binary aladin
Each executable in standard binary directories should have a man page.

libdivecomputer.x86_64: W: no-manual-page-for-binary veo250
Each executable in standard binary directories should have a man page.

libdivecomputer.x86_64: W: no-manual-page-for-binary sensuspro
Each executable in standard binary directories should have a man page.

libdivecomputer.x86_64: W: no-manual-page-for-binary vyper
Each executable in standard binary directories should have a man page.

libdivecomputer.x86_64: W: no-manual-page-for-binary eon
Each executable in standard binary directories should have a man page.

libdivecomputer.x86_64: W: no-manual-page-for-binary sensus
Each executable in standard binary directories should have a man page.

libdivecomputer-debuginfo.i686: I: checking
libdivecomputer-debuginfo.i686: I: checking-url http://divesoftware.org/libdc/ (timeout 10 seconds)
libdivecomputer-debuginfo.x86_64: I: checking
libdivecomputer-debuginfo.x86_64: I: checking-url http://divesoftware.org/libdc/ (timeout 10 seconds)
libdivecomputer-devel.i686: I: checking
libdivecomputer-devel.i686: I: checking-url http://divesoftware.org/libdc/ (timeout 10 seconds)
libdivecomputer-devel.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

libdivecomputer-devel.x86_64: I: checking
libdivecomputer-devel.x86_64: I: checking-url http://divesoftware.org/libdc/ (timeout 10 seconds)
libdivecomputer-devel.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

libdivecomputer.spec: I: checking-url http://divesoftware.org/libdc/releases/libdivecomputer-0.2.0.tar.gz (timeout 10 seconds)
libdivecomputer-static.i686: I: checking
libdivecomputer-static.i686: I: checking-url http://divesoftware.org/libdc/ (timeout 10 seconds)
libdivecomputer-static.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

libdivecomputer-static.x86_64: I: checking
libdivecomputer-static.x86_64: I: checking-url http://divesoftware.org/libdc/ (timeout 10 seconds)
libdivecomputer-static.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

9 packages and 1 specfiles checked; 0 errors, 59 warnings.


Looks better. Missing man pages, no docs for the -devel packages, nothing worth to discuss. However, if the binaries are intended to run directly from the command line - which I don't assume at all - the upstream people should consider to add man pages for future releases.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    LGPLv2+
[.] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    126146a800a297169201a418dbe00af90d7983856082d47b9e39e2fe9155ca9a  libdivecomputer-0.2.0.tar.gz
    126146a800a297169201a418dbe00af90d7983856082d47b9e39e2fe9155ca9a  libdivecomputer-0.2.0.tar.gz.orig

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[+] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[+] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[+] MUST: Static libraries must be in a -static package.
[+] MUST: Development files must be in a -devel package.
[+] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[+] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[+] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[+] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.

----------------

PACKAGE APPROVED

----------------
Comment 5 Pierre-YvesChibon 2012-10-09 14:46:56 EDT
Thanks a lot for the review!

I will submit subsurface if you are also interested.


New Package SCM Request
=======================
Package Name: libdivecomputer
Short Description: Library for communication with dive computers
Owners: pingou
Branches: F-17 F-18 devel
InitialCC:
Comment 6 Gwyn Ciesla 2012-10-09 15:20:54 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-10-10 08:55:12 EDT
libdivecomputer-0.2.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libdivecomputer-0.2.0-2.fc17
Comment 8 Fedora Update System 2012-10-10 08:55:27 EDT
libdivecomputer-0.2.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libdivecomputer-0.2.0-2.fc18
Comment 9 Fedora Update System 2012-10-10 14:07:51 EDT
libdivecomputer-0.2.0-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 10 Fedora Update System 2012-12-20 09:59:46 EST
libdivecomputer-0.2.0-2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.